Bug 995642 - USB 3.0 drive could not auto mount [NEEDINFO]
USB 3.0 drive could not auto mount
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Itamar Reis Peixoto
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-09 21:19 EDT by netroby
Modified: 2014-03-10 10:38 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-10 10:38:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pbrobinson: needinfo? (hufeng1987)


Attachments (Terms of Use)

  None (edit)
Description netroby 2013-08-09 21:19:36 EDT
Description of problem:

I have a USB 3.0 extern drive.  My pc main board only have USB 2.0 supported.

I plug the drive to PC usb port, but it could not be auto mount.


Version-Release number of selected component (if applicable):

Fedora 19 x64

How reproducible:
Plug an USB 3.0 extern drive with Fedora 19 x64 , and the main board should only have supported USB 2.0

Steps to Reproduce:
1. Plug USB 3.0 drive to USB port
2. waiting for auto mount
3.

Actual results:

it does not auto mount
Expected results:
the drive must be auto mount 

Additional info:

[root@diamond netroby]# tail -f /var/log/messages 
Aug 10 08:53:58 diamond dbus[341]: [system] Activating via systemd: service name='net.reactivated.Fprint' unit='fprintd.service'
Aug 10 08:53:58 diamond systemd[1]: Starting Fingerprint Authentication Daemon...
Aug 10 08:53:58 diamond dbus-daemon[341]: dbus[341]: [system] Successfully activated service 'net.reactivated.Fprint'
Aug 10 08:53:58 diamond dbus[341]: [system] Successfully activated service 'net.reactivated.Fprint'
Aug 10 08:53:58 diamond systemd[1]: Started Fingerprint Authentication Daemon.
Aug 10 08:53:58 diamond fprintd[2416]: Launching FprintObject
Aug 10 08:53:58 diamond fprintd[2416]: ** Message: D-Bus service launched with name: net.reactivated.Fprint
Aug 10 08:53:58 diamond fprintd[2416]: ** Message: entering main loop
Aug 10 08:53:58 diamond kernel: [  545.307139] usb 2-1.5: reset high-speed USB device number 4 using ehci-pci
Aug 10 08:53:59 diamond su: (to netroby) netroby on none
Aug 10 08:54:28 diamond fprintd[2416]: ** Message: No devices in use, exit
Aug 10 08:54:32 diamond kernel: [  579.219786] usb 2-1.5: reset high-speed USB device number 4 using ehci-pci
Aug 10 08:55:06 diamond kernel: [  613.260420] usb 2-1.5: reset high-speed USB device number 4 using ehci-pci
Aug 10 08:55:10 diamond kernel: [  616.668918] sd 4:0:0:0: [sdb] Attached SCSI disk
Aug 10 08:55:10 diamond systemd-udevd[200]: worker [2259] terminated by signal 9 (Killed)
Aug 10 08:55:10 diamond systemd-udevd[200]: worker [2352] terminated by signal 9 (Killed)
Aug 10 08:55:10 diamond systemd-udevd[200]: worker [2353] terminated by signal 9 (Killed)
Aug 10 08:55:10 diamond systemd-udevd[200]: worker [2354] terminated by signal 9 (Killed)
Aug 10 08:55:10 diamond systemd-udevd[200]: worker [2355] terminated by signal 9 (Killed)
Aug 10 08:55:10 diamond systemd-udevd[200]: worker [2356] terminated by signal 9 (Killed)
Aug 10 08:55:10 diamond systemd[1]: Mounting FUSE Control File System...
Aug 10 08:55:10 diamond kernel: [  616.949928] fuse init (API version 7.22)
Aug 10 08:55:10 diamond systemd[1]: Mounted FUSE Control File System.
Aug 10 08:55:10 diamond ntfs-3g[2509]: Version 2013.1.13 integrated FUSE 27
Aug 10 08:55:10 diamond ntfs-3g[2509]: Mounted /dev/sdb5 (Read-Write, label "", NTFS 3.1)
Aug 10 08:55:10 diamond ntfs-3g[2509]: Cmdline options: rw
Aug 10 08:55:10 diamond ntfs-3g[2509]: Mount options: rw,allow_other,nonempty,relatime,fsname=/dev/sdb5,blkdev,blksize=4096
Aug 10 08:55:10 diamond ntfs-3g[2509]: Ownership and permissions disabled, configuration type 1
Aug 10 08:59:51 diamond systemd[1]: Starting Cleanup of Temporary Directories...
Aug 10 08:59:52 diamond systemd[1]: Started Cleanup of Temporary Directories.
Aug 10 09:02:35 diamond dnsmasq-dhcp[1054]: DHCPINFORM(virbr0) 192.168.122.85 52:54:00:c3:c0:b7
Aug 10 09:02:35 diamond dnsmasq-dhcp[1054]: DHCPACK(virbr0) 192.168.122.85 52:54:00:c3:c0:b7 zf-PC
^C
[root@diamond netroby]# lsusb -v

Bus 002 Device 003: ID 19d2:0398 ZTE WCDMA Technologies MSM 
Device Descriptor:
  bLength                18                                                                                                                                                                                                                  
  bDescriptorType         1
  bcdUSB               2.00
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0 
  bDeviceProtocol         0 
  bMaxPacketSize0        64
  idVendor           0x19d2 ZTE WCDMA Technologies MSM
  idProduct          0x0398 
  bcdDevice            2.31
  iManufacturer           2 Android
  iProduct                3 Android
  iSerial                 4 N881E
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength          202
    bNumInterfaces          5
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0x80
      (Bus Powered)
    MaxPower              500mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           2
      bInterfaceClass       255 Vendor Specific Class
      bInterfaceSubClass    255 Vendor Specific Subclass
      bInterfaceProtocol    255 Vendor Specific Protocol
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x01  EP 1 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        1
      bAlternateSetting       0
      bNumEndpoints           3
      bInterfaceClass       255 Vendor Specific Class
      bInterfaceSubClass      0 
      bInterfaceProtocol      0 
      iInterface              0 
      ** UNRECOGNIZED:  05 24 00 10 01
      ** UNRECOGNIZED:  05 24 01 00 00
      ** UNRECOGNIZED:  04 24 02 02
      ** UNRECOGNIZED:  05 24 06 00 00
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x83  EP 3 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x000a  1x 10 bytes
        bInterval               9
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x82  EP 2 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x02  EP 2 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        2
      bAlternateSetting       0
      bNumEndpoints           3
      bInterfaceClass       255 Vendor Specific Class
      bInterfaceSubClass      0 
      bInterfaceProtocol      0 
      iInterface              0 
      ** UNRECOGNIZED:  05 24 00 10 01
      ** UNRECOGNIZED:  05 24 01 00 00
      ** UNRECOGNIZED:  04 24 02 02
      ** UNRECOGNIZED:  05 24 06 00 00
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x85  EP 5 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x000a  1x 10 bytes
        bInterval               9
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x84  EP 4 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x03  EP 3 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        3
      bAlternateSetting       0
      bNumEndpoints           3
      bInterfaceClass       255 Vendor Specific Class
      bInterfaceSubClass      0 
      bInterfaceProtocol      0 
      iInterface              0 
      ** UNRECOGNIZED:  05 24 00 10 01
      ** UNRECOGNIZED:  05 24 01 00 00
      ** UNRECOGNIZED:  04 24 02 02
      ** UNRECOGNIZED:  05 24 06 00 00
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x87  EP 7 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x000a  1x 10 bytes
        bInterval               9
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x86  EP 6 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x04  EP 4 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        4
      bAlternateSetting       0
      bNumEndpoints           2
      bInterfaceClass       255 Vendor Specific Class
      bInterfaceSubClass     66 
      bInterfaceProtocol      1 
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x88  EP 8 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x05  EP 5 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
Device Qualifier (for other device speed):
  bLength                10
  bDescriptorType         6
  bcdUSB               2.00
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0 
  bDeviceProtocol         0 
  bMaxPacketSize0        64
  bNumConfigurations      1
Device Status:     0x0000
  (Bus Powered)

Bus 002 Device 004: ID 1234:5678 Brain Actuated Technologies 
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               2.10
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0 
  bDeviceProtocol         0 
  bMaxPacketSize0        64
  idVendor           0x1234 Brain Actuated Technologies
  idProduct          0x5678 
  bcdDevice            9.00
  iManufacturer           1 SSK
  iProduct                2 USB bridge
  iSerial                 3 00000000000017EF
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           32
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0x80
      (Bus Powered)
    MaxPower              500mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           2
      bInterfaceClass         8 Mass Storage
      bInterfaceSubClass      2 SFF-8020i, MMC-2 (ATAPI)
      bInterfaceProtocol     80 
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x02  EP 2 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
Binary Object Store Descriptor:
  bLength                 5
  bDescriptorType        15
  wTotalLength           22
  bNumDeviceCaps          2
  USB 2.0 Extension Device Capability:
    bLength                 7
    bDescriptorType        16
    bDevCapabilityType      2
    bmAttributes   0x00000002
      Link Power Management (LPM) Supported
  SuperSpeed USB Device Capability:
    bLength                10
    bDescriptorType        16
    bDevCapabilityType      3
    bmAttributes         0x00
    wSpeedsSupported   0x000c
      Device can operate at High Speed (480Mbps)
      Device can operate at SuperSpeed (5Gbps)
    bFunctionalitySupport   2
      Lowest fully-functional device speed is High Speed (480Mbps)
    bU1DevExitLat          10 micro seconds
    bU2DevExitLat        2047 micro seconds
Device Status:     0x0001
  Self Powered

Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               2.00
  bDeviceClass            9 Hub
  bDeviceSubClass         0 Unused
  bDeviceProtocol         1 Single TT
  bMaxPacketSize0        64
  idVendor           0x8087 Intel Corp.
  idProduct          0x0024 Integrated Rate Matching Hub
  bcdDevice            0.00
  iManufacturer           0 
  iProduct                0 
  iSerial                 0 
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           25
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xe0
      Self Powered
      Remote Wakeup
    MaxPower                0mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         9 Hub
      bInterfaceSubClass      0 Unused
      bInterfaceProtocol      0 Full speed (or root) hub
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0001  1x 1 bytes
        bInterval              12
Hub Descriptor:
  bLength               9
  bDescriptorType      41
  nNbrPorts             6
  wHubCharacteristic 0x0009
    Per-port power switching
    Per-port overcurrent protection
    TT think time 8 FS bits
  bPwrOn2PwrGood       50 * 2 milli seconds
  bHubContrCurrent      0 milli Ampere
  DeviceRemovable    0x00
  PortPwrCtrlMask    0xff
 Hub Port Status:
   Port 1: 0000.0100 power
   Port 2: 0000.0100 power
   Port 3: 0000.0100 power
   Port 4: 0000.0100 power
   Port 5: 0000.0503 highspeed power enable connect
   Port 6: 0000.0503 highspeed power enable connect
Device Qualifier (for other device speed):
  bLength                10
  bDescriptorType         6
  bcdUSB               2.00
  bDeviceClass            9 Hub
  bDeviceSubClass         0 Unused
  bDeviceProtocol         0 Full speed (or root) hub
  bMaxPacketSize0        64
  bNumConfigurations      1
Device Status:     0x0001
  Self Powered

Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               2.00
  bDeviceClass            9 Hub
  bDeviceSubClass         0 Unused
  bDeviceProtocol         0 Full speed (or root) hub
  bMaxPacketSize0        64
  idVendor           0x1d6b Linux Foundation
  idProduct          0x0002 2.0 root hub
  bcdDevice            3.10
  iManufacturer           3 Linux 3.10.5-201.fc19.x86_64 ehci_hcd
  iProduct                2 EHCI Host Controller
  iSerial                 1 0000:00:1d.0
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           25
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xe0
      Self Powered
      Remote Wakeup
    MaxPower                0mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         9 Hub
      bInterfaceSubClass      0 Unused
      bInterfaceProtocol      0 Full speed (or root) hub
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0004  1x 4 bytes
        bInterval              12
Hub Descriptor:
  bLength               9
  bDescriptorType      41
  nNbrPorts             2
  wHubCharacteristic 0x000a
    No power switching (usb 1.0)
    Per-port overcurrent protection
  bPwrOn2PwrGood       10 * 2 milli seconds
  bHubContrCurrent      0 milli Ampere
  DeviceRemovable    0x02
  PortPwrCtrlMask    0xff
 Hub Port Status:
   Port 1: 0000.0503 highspeed power enable connect
   Port 2: 0000.0100 power
Device Status:     0x0001
  Self Powered

Bus 001 Device 004: ID 046d:c05a Logitech, Inc. M90/M100 Optical Mouse
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               2.00
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0 
  bDeviceProtocol         0 
  bMaxPacketSize0         8
  idVendor           0x046d Logitech, Inc.
  idProduct          0xc05a M90/M100 Optical Mouse
  bcdDevice           63.00
  iManufacturer           1 Logitech
  iProduct                2 USB Optical Mouse
  iSerial                 0 
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           34
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xa0
      (Bus Powered)
      Remote Wakeup
    MaxPower              100mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         3 Human Interface Device
      bInterfaceSubClass      1 Boot Interface Subclass
      bInterfaceProtocol      2 Mouse
      iInterface              0 
        HID Device Descriptor:
          bLength                 9
          bDescriptorType        33
          bcdHID               1.11
          bCountryCode            0 Not supported
          bNumDescriptors         1
          bDescriptorType        34 Report
          wDescriptorLength      52
         Report Descriptors: 
           ** UNAVAILABLE **
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0004  1x 4 bytes
        bInterval              10
Device Status:     0x0000
  (Bus Powered)

Bus 001 Device 003: ID 046a:0011 Cherry GmbH G83 (RS 6000) Keyboard
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               2.00
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0 
  bDeviceProtocol         0 
  bMaxPacketSize0         8
  idVendor           0x046a Cherry GmbH
  idProduct          0x0011 G83 (RS 6000) Keyboard
  bcdDevice            1.00
  iManufacturer           0 
  iProduct                0 
  iSerial                 0 
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           34
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xa0
      (Bus Powered)
      Remote Wakeup
    MaxPower              100mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         3 Human Interface Device
      bInterfaceSubClass      1 Boot Interface Subclass
      bInterfaceProtocol      1 Keyboard
      iInterface              0 
        HID Device Descriptor:
          bLength                 9
          bDescriptorType        33
          bcdHID               1.11
          bCountryCode            0 Not supported
          bNumDescriptors         1
          bDescriptorType        34 Report
          wDescriptorLength      64
         Report Descriptors: 
           ** UNAVAILABLE **
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0008  1x 8 bytes
        bInterval              10
Device Status:     0x0000
  (Bus Powered)

Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               2.00
  bDeviceClass            9 Hub
  bDeviceSubClass         0 Unused
  bDeviceProtocol         1 Single TT
  bMaxPacketSize0        64
  idVendor           0x8087 Intel Corp.
  idProduct          0x0024 Integrated Rate Matching Hub
  bcdDevice            0.00
  iManufacturer           0 
  iProduct                0 
  iSerial                 0 
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           25
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xe0
      Self Powered
      Remote Wakeup
    MaxPower                0mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         9 Hub
      bInterfaceSubClass      0 Unused
      bInterfaceProtocol      0 Full speed (or root) hub
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0001  1x 1 bytes
        bInterval              12
Hub Descriptor:
  bLength               9
  bDescriptorType      41
  nNbrPorts             4
  wHubCharacteristic 0x0009
    Per-port power switching
    Per-port overcurrent protection
    TT think time 8 FS bits
  bPwrOn2PwrGood       50 * 2 milli seconds
  bHubContrCurrent      0 milli Ampere
  DeviceRemovable    0x00
  PortPwrCtrlMask    0xff
 Hub Port Status:
   Port 1: 0000.0303 lowspeed power enable connect
   Port 2: 0000.0100 power
   Port 3: 0000.0100 power
   Port 4: 0000.0303 lowspeed power enable connect
Device Qualifier (for other device speed):
  bLength                10
  bDescriptorType         6
  bcdUSB               2.00
  bDeviceClass            9 Hub
  bDeviceSubClass         0 Unused
  bDeviceProtocol         0 Full speed (or root) hub
  bMaxPacketSize0        64
  bNumConfigurations      1
Device Status:     0x0001
  Self Powered

Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               2.00
  bDeviceClass            9 Hub
  bDeviceSubClass         0 Unused
  bDeviceProtocol         0 Full speed (or root) hub
  bMaxPacketSize0        64
  idVendor           0x1d6b Linux Foundation
  idProduct          0x0002 2.0 root hub
  bcdDevice            3.10
  iManufacturer           3 Linux 3.10.5-201.fc19.x86_64 ehci_hcd
  iProduct                2 EHCI Host Controller
  iSerial                 1 0000:00:1a.0
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           25
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xe0
      Self Powered
      Remote Wakeup
    MaxPower                0mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         9 Hub
      bInterfaceSubClass      0 Unused
      bInterfaceProtocol      0 Full speed (or root) hub
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0004  1x 4 bytes
        bInterval              12
Hub Descriptor:
  bLength               9
  bDescriptorType      41
  nNbrPorts             2
  wHubCharacteristic 0x000a
    No power switching (usb 1.0)
    Per-port overcurrent protection
  bPwrOn2PwrGood       10 * 2 milli seconds
  bHubContrCurrent      0 milli Ampere
  DeviceRemovable    0x02
  PortPwrCtrlMask    0xff
 Hub Port Status:
   Port 1: 0000.0503 highspeed power enable connect
   Port 2: 0000.0100 power
Device Status:     0x0001
  Self Powered
[root@diamond netroby]# dmesg | grep -i usb
[    0.330283] ACPI: bus type USB registered
[    0.330293] usbcore: registered new interface driver usbfs
[    0.330299] usbcore: registered new interface driver hub
[    0.330314] usbcore: registered new device driver usb
[    0.794294] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    0.794416] ehci-pci 0000:00:1a.0: new USB bus registered, assigned bus number 1
[    0.803396] ehci-pci 0000:00:1a.0: USB 2.0 started, EHCI 1.00
[    0.803422] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
[    0.803424] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    0.803426] usb usb1: Product: EHCI Host Controller
[    0.803428] usb usb1: Manufacturer: Linux 3.10.5-201.fc19.x86_64 ehci_hcd
[    0.803430] usb usb1: SerialNumber: 0000:00:1a.0
[    0.803532] hub 1-0:1.0: USB hub found
[    0.803705] ehci-pci 0000:00:1d.0: new USB bus registered, assigned bus number 2
[    0.813394] ehci-pci 0000:00:1d.0: USB 2.0 started, EHCI 1.00
[    0.813412] usb usb2: New USB device found, idVendor=1d6b, idProduct=0002
[    0.813414] usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    0.813416] usb usb2: Product: EHCI Host Controller
[    0.813417] usb usb2: Manufacturer: Linux 3.10.5-201.fc19.x86_64 ehci_hcd
[    0.813419] usb usb2: SerialNumber: 0000:00:1d.0
[    0.813494] hub 2-0:1.0: USB hub found
[    0.813566] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    0.813573] uhci_hcd: USB Universal Host Controller Interface driver
[    0.813611] usbcore: registered new interface driver usbserial
[    0.813617] usbcore: registered new interface driver usbserial_generic
[    0.813624] usbserial: USB Serial support registered for generic
[    0.817336] usbcore: registered new interface driver usbhid
[    0.817336] usbhid: USB HID core driver
[    1.105388] usb 1-1: new high-speed USB device number 2 using ehci-pci
[    1.219701] usb 1-1: New USB device found, idVendor=8087, idProduct=0024
[    1.219706] usb 1-1: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[    1.220166] hub 1-1:1.0: USB hub found
[    1.323309] usb 2-1: new high-speed USB device number 2 using ehci-pci
[    1.437650] usb 2-1: New USB device found, idVendor=8087, idProduct=0024
[    1.437655] usb 2-1: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[    1.438113] hub 2-1:1.0: USB hub found
[    1.512425] usb 1-1.1: new low-speed USB device number 3 using ehci-pci
[    1.600167] usb 1-1.1: New USB device found, idVendor=046a, idProduct=0011
[    1.600172] usb 1-1.1: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[    1.610719] input: HID 046a:0011 as /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.1/1-1.1:1.0/input/input2
[    1.611089] hid-generic 0003:046A:0011.0001: input,hidraw0: USB HID v1.11 Keyboard [HID 046a:0011] on usb-0000:00:1a.0-1.1/input0
[    1.673390] usb 1-1.4: new low-speed USB device number 4 using ehci-pci
[    1.762976] usb 1-1.4: New USB device found, idVendor=046d, idProduct=c05a
[    1.762980] usb 1-1.4: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[    1.762983] usb 1-1.4: Product: USB Optical Mouse
[    1.762985] usb 1-1.4: Manufacturer: Logitech
[    1.765563] input: Logitech USB Optical Mouse as /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.4/1-1.4:1.0/input/input3
[    1.765916] hid-generic 0003:046D:C05A.0002: input,hidraw1: USB HID v1.11 Mouse [Logitech USB Optical Mouse] on usb-0000:00:1a.0-1.4/input0
[   83.701164] usb 2-1.6: new high-speed USB device number 3 using ehci-pci
[   83.787140] usb 2-1.6: New USB device found, idVendor=19d2, idProduct=0398
[   83.787144] usb 2-1.6: New USB device strings: Mfr=2, Product=3, SerialNumber=4
[   83.787147] usb 2-1.6: Product: Android
[   83.787149] usb 2-1.6: Manufacturer: Android
[   83.787151] usb 2-1.6: SerialNumber: N881E
[  200.941514] usb 2-1.5: new high-speed USB device number 4 using ehci-pci
[  206.514606] usb 2-1.5: New USB device found, idVendor=1234, idProduct=5678
[  206.514610] usb 2-1.5: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[  206.514612] usb 2-1.5: Product: USB bridge
[  206.514613] usb 2-1.5: Manufacturer: SSK
[  206.514615] usb 2-1.5: SerialNumber: 00000000000017EF
[  206.662340] usb-storage 2-1.5:1.0: USB Mass Storage device detected
[  206.662415] scsi4 : usb-storage 2-1.5:1.0
[  206.662693] usbcore: registered new interface driver usb-storage
[  206.681585] usbcore: registered new interface driver usbtouchscreen
[  238.301008] usb 2-1.5: reset high-speed USB device number 4 using ehci-pci
[  272.341950] usb 2-1.5: reset high-speed USB device number 4 using ehci-pci
[  306.382536] usb 2-1.5: reset high-speed USB device number 4 using ehci-pci
[  340.295344] usb 2-1.5: reset high-speed USB device number 4 using ehci-pci
[  374.335992] usb 2-1.5: reset high-speed USB device number 4 using ehci-pci
[  408.312623] usb 2-1.5: reset high-speed USB device number 4 using ehci-pci
[  442.289248] usb 2-1.5: reset high-speed USB device number 4 using ehci-pci
[  476.329895] usb 2-1.5: reset high-speed USB device number 4 using ehci-pci
[  511.226349] usb 2-1.5: reset high-speed USB device number 4 using ehci-pci
[  545.307139] usb 2-1.5: reset high-speed USB device number 4 using ehci-pci
[  579.219786] usb 2-1.5: reset high-speed USB device number 4 using ehci-pci
[  613.260420] usb 2-1.5: reset high-speed USB device number 4 using ehci-pci
Comment 1 netroby 2013-08-09 21:25:55 EDT
I had tested on CentOS 5.* and CentOS 6.* 
the USB 3.0 driver could be auto mount by system.


and i tested USB 2.0 extern drive. it also could be auto mounted by Fedora 19.

I am very unhappy, why USB 3.0 could not auto mount.
Comment 2 Peter Robinson 2014-01-06 12:23:57 EST
This isn't a usb_modeswitch problem, it's possibly a kernel issue but then you don't report the kernel version. Have you tested the latest 3.12.x kernels?

Looking at the logs the usb device is detected but then resets, it could also be a HW issue (does it have enough power for example).
Comment 3 Justin M. Forbes 2014-03-10 10:38:17 EDT
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for more than 1 month and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 19, please feel free to reopen the bug and provide the additional information requested.

Note You need to log in before you can comment on or make changes to this bug.